summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-28 17:24:36 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-28 17:24:36 +0100
commit6fffbb460b4f31c205b430c53bb1afc3877ac257 (patch)
tree6d9f00229168cf0d4dc895ea9fa1f45a2b342512 /bin
parent5657da30e2466edae0bd594d93a283b2839e4309 (diff)
downloadjenkins.debian.net-6fffbb460b4f31c205b430c53bb1afc3877ac257.tar.xz
reproducible: bugfix to actually clean up old artifacts
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_maintainance.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 1d4e21c2..3cbd545d 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -208,11 +208,11 @@ if [ ! -z "$OLDSTUFF" ] ; then
fi
# remove artifacts older than 3 days
-ARTIFACTS=$(find /var/lib/jenkins/userContent/artifacts/* -maxdepth 0 -type d -mtime +3 -exec ls -lad {} \; || true)
+ARTIFACTS=$(find /var/lib/jenkins/userContent/artifacts/* -maxdepth 1 -type d -mtime +3 -exec ls -lad {} \; || true)
if [ ! -z "$ARTIFACTS" ] ; then
echo
echo "Removed old artifacts:"
- find /var/lib/jenkins/userContent/artifacts/* -maxdepth 0 -type d -mtime +3 -exec rm -rv {} \;
+ find /var/lib/jenkins/userContent/artifacts/* -maxdepth 1 -type d -mtime +3 -exec rm -rv {} \;
echo
fi